"Fossies" - the Fresh Open Source Software Archive

Member "bahamut-2.1.5/INSTALL" (28 May 2020, 1498 Bytes) of package /linux/privat/bahamut-2.1.5.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "INSTALL": 2.1.4_vs_2.1.5.

    1 HOW TO BUILD:
    2 ------------- 
    3 1.  Run the configure script.  It will setup include/setup.h and the
    4     Makefiles to match your system:
    5 	./configure
    6 
    7     Type ./configure --help to see different options.  Most people will not
    8     need to alter these.
    9 
   10 2.  [DISCOURAGED] Edit the the "include/config.h" file.  This allows you to 
   11     change various options of how the ircd will operate. Usually the defaults
   12     are OK.
   13 
   14 3.  "make" should build ircd.
   15 
   16 4.  "make install" will install the ircd, config converter, and documents
   17     to the directory set by ./configure
   18 
   19 5.  Edit example.conf in your install directory, and move it to "ircd.conf".
   20 
   21 6.  Run the binary!  ircd will look in the directory you are executing from
   22     for an ircd.conf first, then it will look to the directory local to itself.
   23     You may override these options by specifying a config file using:
   24     ./ircd -f path/to/ircd.conf
   25 
   26 
   27 REQUIRED PACKAGES:
   28 ------------------
   29 If ./configure script fails, make sure you have the required package install.
   30 
   31 For CentOS:
   32 1.  Run the following command to install the development tools:
   33 	sudo yum groupinstall "Development Tools"
   34 
   35 2.  Run the following command to install the required packages:
   36 	sudo yum install zlib-devel openssl-devel
   37 
   38 For Ubuntu:
   39 1.  Run the following command to update your package list:
   40 	sudo apt-get update
   41 
   42 2.  Run the following command to install the required packages:
   43 	sudo apt-get install build-essential zlib1g-dev libssl-dev
   44 
   45 
   46 Best of luck!
   47 -The Bahamut Team